### Function

# Dex file_enumerate_children

unstable since: 1

#### Declaration [src]

    DexFuture*
    dex_file_enumerate_children (
      GFile* file,
      const char* attributes,
      GFileQueryInfoFlags flags,
      int io_priority
    )

#### Description

No description available.

Available since: 1

#### Parameters

`file`

  Type: `GFile`

  No description available.

  The data is owned by the caller of the function.

`attributes`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `GFileQueryInfoFlags`

  No description available.

`io_priority`

  Type: `int`

  No description available.

#### Return value

Type: `DexFuture`

A `DexFuture`.

The caller of the function takes ownership of the data, and is responsible for freeing it.